Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.client
Class DefaultLocalMuleClient.MuleClientFlowConstruct

    java.lang.Object
      org.mule.client.DefaultLocalMuleClient.MuleClientFlowConstruct

All Implemented Interfaces:
  FlowConstruct, LifecycleStateEnabled

Enclosing class:
  DefaultLocalMuleClient

    public static class DefaultLocalMuleClient.MuleClientFlowConstruct

extends Object
implements FlowConstruct

Placeholder class which makes the default exception handler available.

Constructor Summary
`DefaultLocalMuleClient.MuleClientFlowConstruct(MuleContext muleContext)`

Method Summary
`MessagingExceptionHandler` | `getExceptionListener()`
`LifecycleState` | `getLifecycleState()`
`MessageInfoMapping` | `getMessageInfoMapping()`
`MessageProcessorChain` | `getMessageProcessorChain()`
`MuleContext` | `getMuleContext()`
`String` | `getName()`
`FlowConstructStatistics` | `getStatistics()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLocalMuleClient.MuleClientFlowConstruct

    public DefaultLocalMuleClient.MuleClientFlowConstruct(MuleContext muleContext)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `FlowConstruct`
  Returns:
    The name which identifies this flow construct which is unique in MuleConext registry

### getExceptionListener

    public MessagingExceptionHandler getExceptionListener()

  Specified by:
    `getExceptionListener` in interface `FlowConstruct`
  Returns:
    The exception listener that will be used to handle exceptions that may be thrown at different points during the message flow defined by this construct.

### getLifecycleState

    public LifecycleState getLifecycleState()

  Specified by:
    `getLifecycleState` in interface `LifecycleStateEnabled`

### getStatistics

    public FlowConstructStatistics getStatistics()

  Specified by:
    `getStatistics` in interface `FlowConstruct`
  Returns:
    The statistics holder used by this flow construct to keep track of its activity.

### getMuleContext

    public MuleContext getMuleContext()

### getMessageInfoMapping

    public MessageInfoMapping getMessageInfoMapping()

  Specified by:
    `getMessageInfoMapping` in interface `FlowConstruct`
  Returns:
    This implementation of `MessageInfoMapping` used to control how Important message information is pulled from the current message.

### getMessageProcessorChain

    public MessageProcessorChain getMessageProcessorChain()

  Specified by:
    `getMessageProcessorChain` in interface `FlowConstruct`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.